--- themes/classic/theme.inc.old	2006-04-18 22:39:19.000000000 +0200
+++ themes/classic/theme.inc	2006-07-14 21:36:44.587928536 +0200
@@ -64,7 +64,8 @@
 		      array(
 			  array('exif.ExifInfo', array()),
 			  array('comment.ViewComments', array()))),
-		  'showSubalbums' => 1, 'subalbumDepth' => 0, 'subalbumSort' => 0));
+		  'showSubalbums' => 1, 'subalbumDepth' => 0, 'subalbumSort' => 0,
+		  'showSubalbumsAsThumbs' => 1, 'subalbumThumbSize' => 30, 'subalbumThumbText' => 0 ));
     }
 
     /**
@@ -81,6 +82,19 @@
 			    'name' => $this->translate('Show subalbum links'),
 			    'type' => 'checkbox',
 			    'value' => $params['showSubalbums']);
+	$settings[] = array('key' => 'showSubalbumsAsThumbs',
+			    'name' => $this->translate('Show subalbum links as Thumbnails'),
+			    'type' => 'checkbox',
+			    'value' => $params['showSubalbumsAsThumbs']);
+	$settings[] = array('key' => 'subalbumThumbSize',
+			    'name' => $this->translate('Max size of subalbum Thumbnails'),
+			    'type' => 'text-field',
+			    'typeParams' => array('size' => 2),
+			    'value' => $params['subalbumThumbSize']);
+	$settings[] = array('key' => 'subalbumThumbText',
+                            'name' => $this->translate('Show subalbum title beside the Thumbnail'),
+                            'type' => 'checkbox',
+                            'value' => $params['subalbumThumbText']);
 	$settings[] = array('key' => 'subalbumDepth',
 			    'name' => $this->translate('Depth of subalbums links (0=no limit)'),
 			    'type' => 'text-field',
@@ -119,7 +133,6 @@
 	if ($ret) {
 	    return array($ret->wrap(__FILE__, __LINE__), null);
 	}
-
 	/* Add in our extra stuff */
 	$theme =& $template->getVariableByReference('theme');
 	if ($params['showSubalbums']) {
@@ -151,11 +164,24 @@
 		    if ($ret) {
 			return array($ret->wrap(__FILE__, __LINE__), null);
 		    }
+	/* BEGIN ADDED CODE */
+			if ($params['showSubalbumsAsThumbs']) {
+		    list ($ret, $thumbs) = GalleryCoreApi::fetchThumbnailsByItemIds($treeIds);
+	            if ($ret) {
+	        	return array($ret->wrap(__FILE__, __LINE__), null);
+	            }
+			}
+        /* END ADDED CODE */
 		}
 		$theme['tree'] = $treeList;
 		$theme['treeItems'] = array();
 		foreach ($treeItems as $treeItem) {
 		    $theme['treeItems'][$treeItem->getId()] = (array)$treeItem;
+	/* BEGIN ADDED CODE */              
+            	    if (($params['showSubalbumsAsThumbs'])&&(isset($thumbs[$treeItem->getId()]))) {
+	                    $theme['treeItems'][$treeItem->getId()]['thumbnail'] = (array)$thumbs[$treeItem->getId()];
+	            }
+        /* END ADDED CODE */
 		}
 	    }
 	}
